---

yml-lint:
  stage: linting
  image: python:3-alpine
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: on_success
      allow_failure: false
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: on_success
      allow_failure: false
  dependencies: []
  cache:
    key: 'pip-cache'
    when: always
    policy: pull-push
    paths:
      - ./.pip-cache
  needs: []
  interruptible: true
  before_script:
    - pip install --cache-dir ./.pip-cache --no-warn-script-location --user yamllint
  script:
    - |
      find ./ \
        -type f \
        \( -name "*.yml" -o -name "*.yaml" \) \
        -exec python -m yamllint --strict --config-file ./.yamllint.yml {} +;
